aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Huettel (dilfridge) <mail@akhuettel.de>2010-07-01 21:37:11 +0200
committerAndreas K. Huettel (dilfridge) <mail@akhuettel.de>2010-07-01 23:52:40 +0200
commitba733a79a0457706f66149babb48846ce2d8f1de (patch)
tree9f374ef39dcbd16cd231af9db257d2cd259aa044 /sci-electronics/magic/magic-7.5.127.ebuild
parentNew ebuild for sci-electronics/xnec2c. (diff)
downloadsci-ba733a79a0457706f66149babb48846ce2d8f1de.tar.gz
sci-ba733a79a0457706f66149babb48846ce2d8f1de.tar.bz2
sci-ba733a79a0457706f66149babb48846ce2d8f1de.zip
[sci-electronics/magic] Copied from main tree
Diffstat (limited to 'sci-electronics/magic/magic-7.5.127.ebuild')
-rw-r--r--sci-electronics/magic/magic-7.5.127.ebuild43
1 files changed, 43 insertions, 0 deletions
diff --git a/sci-electronics/magic/magic-7.5.127.ebuild b/sci-electronics/magic/magic-7.5.127.ebuild
new file mode 100644
index 000000000..f2aec1f68
--- /dev/null
+++ b/sci-electronics/magic/magic-7.5.127.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sci-electronics/magic/magic-7.5.127.ebuild,v 1.1 2008/03/27 12:54:22 calchan Exp $
+
+DESCRIPTION="The VLSI design CAD tool."
+HOMEPAGE="http://www.opencircuitdesign.com/magic/index.html"
+SRC_URI="http://www.opencircuitdesign.com/magic/archive/${P}.tgz \
+ ftp://ftp.mosis.edu/pub/sondeen/magic/new/beta/2002a.tar.gz"
+
+LICENSE="as-is GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+RDEPEND="sys-libs/ncurses
+ sys-libs/readline
+ dev-lang/tcl
+ dev-lang/tk
+ dev-tcltk/blt"
+DEPEND="${RDEPEND}
+ app-shells/tcsh"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ sed -i -e "s: -pg : :" tcltk/Makefile || die "Patch failed"
+}
+
+src_compile() {
+ # Short-circuit top-level configure script to retain CFLAGS
+ cd scripts
+ CPP="cpp" econf --libdir=/usr/share || die "Configuration failed"
+ cd ..
+ emake -j1 || die "Compilation failed"
+}
+
+src_install() {
+ emake -j1 DESTDIR="${D}" install || die "Installation failed"
+ dodoc README README.Tcl TODO
+
+ # Install latest MOSIS tech files
+ cp -pPR "${WORKDIR}"/2002a "${D}"/usr/share/magic/sys/current
+}